OGRE: Ogre::IlluminationPass Struct Reference - OGRE Documentation

Public Member Functions | Public Attributes

# Ogre::IlluminationPass Struct Reference
[Materials]

Struct recording a pass which can be used for a specific illumination stage. More...

`#include <OgrePass.h>`

Inheritance diagram for Ogre::IlluminationPass:
[legend]

List of all members.

## Public Member Functions
| IlluminationPass ()
void * | operator new (size_t sz, const char *file, int line, const char *func)
| operator new, with debug line info
void * | operator new (size_t sz)
void * | operator new (size_t sz, void *ptr)
| placement operator new
void * | operator new[] (size_t sz, const char *file, int line, const char *func)
| array operator new, with debug line info
void * | operator new[] (size_t sz)
void | operator delete (void *ptr)
void | operator delete (void *ptr, void *)
void | operator delete (void *ptr, const char *, int, const char *)
void | operator delete[] (void *ptr)
void | operator delete[] (void *ptr, const char *, int, const char *)
## Public Attributes
IlluminationStage | stage
Pass * | pass
| The pass to use in this stage.
bool | destroyOnShutdown
| Whether this pass is one which should be deleted itself.
Pass * | originalPass
| The original pass which spawned this one.

## Detailed Description

Struct recording a pass which can be used for a specific illumination stage.

Remarks:
  This structure is used to record categorised passes which fit into a number of distinct illumination phases - ambient, diffuse / specular (per-light) and decal (post-lighting texturing). An original pass may fit into one of these categories already, or it may require splitting into its component parts in order to be categorised properly.

Definition at line 1672 of file OgrePass.h.

## Constructor & Destructor Documentation

Ogre::IlluminationPass::IlluminationPass | ( |  | ) |

Definition at line 1682 of file OgrePass.h.

## Member Function Documentation

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr | ) | `[inherited]`

Definition at line 95 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |  |
| ) |  |  | `[inherited]`

Definition at line 107 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | void * |  |
| ) |  |  | `[inherited]`

Definition at line 101 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr | ) | `[inherited]`

Definition at line 112 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |  |
| ) |  |  | `[inherited]`

Definition at line 118 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func |
| ) |  |  | `[inherited]`

operator new, with debug line info

Definition at line 67 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz | ) | `[inherited]`

Definition at line 72 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | void * | ptr |
| ) |  |  | `[inherited]`

placement operator new

Definition at line 78 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz | ) | `[inherited]`

Definition at line 90 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func |
| ) |  |  | `[inherited]`

array operator new, with debug line info

Definition at line 85 of file OgreMemoryAllocatedObject.h.

## Member Data Documentation

bool Ogre::IlluminationPass::destroyOnShutdown

Whether this pass is one which should be deleted itself.

Definition at line 1678 of file OgrePass.h.

Pass* Ogre::IlluminationPass::originalPass

The original pass which spawned this one.

Definition at line 1680 of file OgrePass.h.

Pass* Ogre::IlluminationPass::pass

The pass to use in this stage.

Definition at line 1676 of file OgrePass.h.

IlluminationStage Ogre::IlluminationPass::stage

Definition at line 1674 of file OgrePass.h.

The documentation for this struct was generated from the following file:

- OgrePass.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Wed Nov 3 2010 19:24:58